« Apache/Installation Linux » : différence entre les versions

emerge mysql
</source>
 
=== Installer PhpMyAdmin ===
Depuis un tout-en-un, il suffit de créer un chemin accessible depuis le serveur Web :
<source lang=bash>
sudo ln -s /usr/share/phpmyadmin /var/www/phpmyadmin
</source>
 
Sinon :
<source lang=bash>
sudo apt-get install phpmyadmin php5
</source>
 
==== Installer Apache et PHP avec PhpMyAdmin ====
Grâce aux dépendances des paquets, cette opération peut se faire en une seule fois :
''Remarque : Vérifiez que la case "Traiter les paquets recommandés comme des dépendances" soit cochée dans Synaptic, configuration, préférences.''
$ sudo apt-get install phpmyadmin
Cela installera automatiquement apache2 + php + modules d'apache pour [[PHP]] et [[MySQL]] + [[PhpMyAdmin]].
Pour accéder à PhpMyAdmin, il faut se rendre à la page http://localhost/PhpMyAdmin.
 
''Note : En cas de problème d'authentification (erreur 2002 notamment) installer le paquet mysql-server peut résoudre ce dernier.''
 
Après l'installation, il vaut mieux modifier les droits d'accès de root, et ajouter un mot de passe pour un peu plus de sécurité. Pour cela, il faut se rendre à la page ''privilèges'' de PhpMyAdmin.
 
Remarque pour Ubuntu 5.04 (Hoary Hedgehog) :
Afin que cette commande fonctionne il est nécessaire d'avoir effectué les modifications suivantes :
dans /etc/apt/ éditer le fichier sources.list
supprimer les # des lignes suivantes :
 
# deb http://fr.archive.ubuntu.com/ubuntu hoary universe
(cette ligne est dans certain cas '# deb http://archive.ubuntu.com/ubuntu/ hoary universe main restricted multiverse')
# deb-src http://fr.archive.ubuntu.com/ubuntu hoary universe
 
''Pour la version d'Ubuntu 5.10 (Breezy), vous pouvez effectuer ces changements avec le gestionnaire de paquets synaptic (apt) : Système ---> Administration ---> Gestionnaire de paquets Synaptic
Catégories ---> Dépôts ----> Ajouter et ensuite, sélectionner : maintenu par la communauté universe...''
 
Lancer le chargement des nouvelles sources :
 
$ sudo apt-get update
 
Puis lancer l'installation de PhpMyAdmin comme décrit ci-dessus.
 
=== Modules ===